Перейти к содержимому

The product reply to addresse object

Attributes

iduuid

Unique identifier

product_iduuid
products.id

Identifier of the related unit

reply_to_address_iduuid
reply_to_addresses.id

Identifier of the related reply-to address

created_atread-onlytimestamp with time zone

Creation timestamp

Related resources

Embed related resources in the response with the select parameter, for example select=*,products(*). Resources related through more than one column need the column as a hint, like table!column(*).

products(*)object | null
products

The product referenced by product_id.

reply_to_addresses(*)object | null
reply_to_addresses

The reply to addresse referenced by reply_to_address_id.

The product reply to addresse object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "reply_to_address_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T22:27:57.698Z"
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/product_reply_to_addresses?limit=10&select=*,products(*),reply_to_addresses(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List product reply to addresses

Filters

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

reply_to_address_idFilter<uuid>
reply_to_addresses.id

Identifier of the related reply-to address

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

200

A list of product reply to addresses with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /product_reply_to_addresses
curl -X GET "https://api.bookingmood.com/v1/product_reply_to_addresses?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "reply_to_address_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.698Z"
  }
]

Create product reply to addresses

Body

Partial<ProductReplyToAddresse> | Array<Partial<ProductReplyToAddresse>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created product reply to addresses with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /product_reply_to_addresses
curl -X POST "https://api.bookingmood.com/v1/product_reply_to_addresses" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "product_id": "00000000-0000-0000-0000-000000000000",
    "reply_to_address_id": "00000000-0000-0000-0000-000000000000"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "reply_to_address_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.698Z"
  }
]

Delete product reply to addresses

Filters

Without filters, this request deletes all product reply to addresses you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

reply_to_address_idFilter<uuid>
reply_to_addresses.id

Identifier of the related reply-to address

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

200

The deleted product reply to addresses with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /product_reply_to_addresses
curl -X DELETE "https://api.bookingmood.com/v1/product_reply_to_addresses?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "reply_to_address_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.698Z"
  }
]

Update product reply to addresses

Filters

Without filters, this request updates all product reply to addresses you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

reply_to_address_idFilter<uuid>
reply_to_addresses.id

Identifier of the related reply-to address

created_atFilter<timestamp with time zone>

Creation timestamp

Body

Partial<ProductReplyToAddresse>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated product reply to addresses with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /product_reply_to_addresses
curl -X PATCH "https://api.bookingmood.com/v1/product_reply_to_addresses?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "reply_to_address_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.698Z"
  }
]

Возьмите управление своими бронированиями в свои руки. Создайте собственный бизнес.

Присоединяйтесь к 1200+ независимым компаниям по аренде жилья для отдыха, которые используют Bookingmood для увеличения количества прямых бронирований и укрепления отношений с гостями.

Начните бесплатную 14-дневную пробную версию